Sends a transaction report request from the Merchant system to Paramount.
Report Request
The report request includes parameters that specify the date range, Merchant details, and can optionally include a specific transaction number. The query_type parameter specifies which types of transactions are included in the report.
| Product | Query interface URL |
|---|---|
| INTERAC | https://staging.paydirectnow.com/service/servlet/IDSTransQuery |
Report Request Parameters
The parameters included in a report request are described in Report request parameters.
Parameters are case sensitive.
The time between
query_sdateandquery_edatemust not exceed 40 days.
Build and encode the request parameters in the application/x-www-form-urlencoded format.
query_type=5&merchant_pass=0123456789&merchant_id=DemoOne&query_sdate=20240901&query_edate=20240925| Parameter | Type | Size | Required | Description |
|---|---|---|---|---|
| merchant_id | String | 8 | Yes | The 8-character Merchant account ID assigned by Paramount. |
| merchant_pass | String | 20 | Yes | The processing password assigned to the Merchant by Paramount. |
| query_type | String | 1 | Yes | The report query type.
|
| query_sdate | String | 8 | Yes | The query start date YYYYMMDD (inclusive). |
| query_edate | String | 8 | Yes | The query end date YYYYMMDD (inclusive). |
| merchant_txn_num | String | 30 | No | A query for a specific transaction is identified by the Merchant transaction number. If the parameter is not included or its value is blank, then all transactions in the time range are included in the response. |
| response_fields | String | 110 | No | Allows you to customize which columns appear in the CSV response. Only applicable to query types 5 and 6; ignored for other query types. Supply a comma-separated list of field numbers (no duplicates). When omitted, the default field set for the query type is returned (fields 1-17 for type 5, fields 1-19 for type 6). Fields 18-22 extend the standard set with EFT return details, completion date, payment type, and Interac identifier. Field 19 (EFT return date) is not valid for query type 5. |
Example Report Query Request
POST https://staging.paydirectnow.com/service/servlet/IDSTransQuery
Accept: text/plain
Content-Type: application/x-www-form-urlencoded
query_type=5&merchant_pass=0123456789ABCDEF&merchant_id=DemoOne&query_sdate=20240901&query_edate=20240925
Example Report Query Request with Response Fields
POST https://staging.paydirectnow.com/service/servlet/IDSTransQuery
Accept: text/plain
Content-Type: application/x-www-form-urlencoded
merchant_id=DEMO1234&merchant_pass=secretpass&query_type=5&query_sdate=20260301&query_edate=20260310&response_fields=1,4,5,7,20,22
Report Response
The report response contains CSV data where records are delimited by a line-feed (\n) . Fields in each record are delimited by a comma.
Transaction report
The transaction report includes all transactions processed between query_sdate and query_edate. The dates are localized in Eastern Time (UTC-5:00), with daylight saving time applied when necessary.
** Initial requests return default fields based on the query type, but specifying custom response fields will limit the output to only your selection. To access fields 20–22, you must explicitly include them in your response options, though please note that custom field selection is only available for query types 5 and 6.
| Field # | Type | Size | Description | Available in Query Types | Optional |
|---|---|---|---|---|---|
| 1 | String | 8 | The transaction date. YYYYMMDD | 2, 3, 5 | |
| 2 | String | 1 | The transaction type:
| 2, 3, 5 | |
| 3 | String | 30 | The unique merchant-assigned transaction ID that identifies the transaction. | 2, 3, 5 | |
| 4 | String | 30 | The transaction ID assigned by Paramount. | 2, 3, 5 | |
| 5 | String | 10 | The amount, formatted as a number with the decimal assumed. For example, 20.15 is displayed as 2015. | 2, 3, 5 | |
| 6 | String | 3 | The uppercase 3-letter currency code (ISO 4217). | 2, 3, 5 | |
| 7 | String | 1 | Any status other than S indicates a failed transaction. S: Successful | 2, 3, 5 | |
| 8 | String | 30 | The internal user ID from the Paramount system. | 3, 5 | |
| 9 | String | 10 | The transaction fee payable by the Merchant, formatted as a number with the decimal assumed. For example, 20.15 is displayed as 2015. | 3, 5 | |
| 10 | String | 8 | The 8-character merchant account ID associated with the transaction. | 3, 5 | |
| 11 | String | 2 | The error code, if applicable. See Payment Errors. | 3, 5 | |
| 12 | String | 1 | The status of the transaction notification between Paramount and the merchant system.
| 3, 5 | |
| 13 | String | 20 | The Merchant-assigned Consumer user ID. | 3, 5 | |
| 14 | String | 6 | The time of the transaction. | 3, 5 | |
| 15 | String | 2 | The uppercase 2-letter country code (ISO 3166). Canada is CA. | 3, 5 | |
| 16 | String | 128 | The consumer's email address associated with INTERAC at their bank. | 3, 5 | |
| 17 | String | 32 | The consumer's bank account number, formatted as xxx-xxxxx-xxxxxxxxxxxxxxxxxxxxxxxx.For security purposes, only the last 4 digits of the account number are displayed. The first 3 digits indicate the institution number, the next 5 digits indicate the transit number, and the remaining digits (up to 24) are the bank account number. | 5, 6 | |
| 18 | String | 3 | The return code for an EFT routed payout transaction. See EFT Return Codes for more details. | 5, 6 | |
| 19 | String | 8 | The transaction return date. YYYYMMDD | 6 | |
| 20 | String | 8 | The transaction completion date YYYYMMDD. | 5, 6 | **Need to specify that you need this field. |
| 21 | String | 13 | The payment type used for payin transactions. | 5, 6 | **Need to specify that you need this field. |
| 22 | String | 80 | The interac_id returned for payin transactions. | 5, 6 | **Need to specify that you need this field. |
Return Report
The return report (query type 1) includes all returned transactions with status changes reported between query_sdate and query_edate. The dates are localized in Eastern Time (UTC-05:00), with daylight saving time applied when necessary.
Table 3: Return report
| Field # | Type | Size | Content | Description |
|---|---|---|---|---|
| 1 | N | 8 | The date when the return transaction was last updated. | YYYYMMDD |
| 2 | AN | 2 | The transaction category | 4: Return |
| 3 | AN | 3 | The return code | The return code assigned by the consumer's bank. See Return Codes. |
| 4 | AN | 30 | The Merchant transaction ID | The unique merchant-assigned transaction ID that identifies the transaction. |
| 5 | AN | 30 | The return transaction ID | The return transaction ID assigned by Paramount. |
| 6 | N | 10 | The return amount | The amount, formatted as a number with the decimal assumed. For example, 20.15 is displayed as 2015. |
| 7 | A | 3 | The return currency | The uppercase 3-letter currency code (ISO 4217). |
| 10 | AN | 30 | The original transaction ID | The Paramount transaction ID associated with the original transaction. |
| 11 | AN | 20 | The merchant user ID | The merchant-assigned unique consumer ID. |
| 12 | A | 2 | The country code | The uppercase 2-letter country code (ISO 3166). Canada is CA. |
Adjustment report
The adjustment report (query type 4) includes all merchant account adjustments processed between query_sdate and query_edate. The dates are localized in Eastern Time (UTC-05:00), with daylight saving time applied when necessary.
| Field # | Type | Size | Content | Description |
|---|---|---|---|---|
| 1 | N | 8 | The transaction date | YYYYMMDD |
| 2 | AN | 1 | The transaction type |
|
| 3 | AN | 1 | The adjustment type |
|
| 4 | AN | 30 | The transaction ID | The transaction ID assigned by Paramount. |
| 5 | N | 10 | The transaction amount | The amount, formatted as a number with the decimal assumed. For example, 20.15 is displayed as 2015. |
| 6 | A | 3 | The transaction currency | The uppercase 3-letter currency code (ISO 4217). |
| 7 | N | 10 | The transaction fee | The transaction fee payable by the merchant, formatted as a number with the decimal assumed. For example, 20.15 is displayed as 2015. |
| 8 | AN | 8 | The merchant ID | The 8-character merchant account ID associated with the transaction. |
| 9 | AN | 256 | Notes | A description of the adjustment. |
Example return report
20240903,T,1725393757742,20240903160246537425030597,209,CAD,R,1683907604842-PTEWNHXG,0,DemoOne,104,C,GD023,160246,null,,
20240903,T,1725394386198,20240903161345833226030603,223,CAD,S,1725394425808-PTXCIOU9,0,DemoOne,,C,20240903-MINT01,161345,null,[email protected],,
20240918,T,1726678010846,20240918124755387792031936,0,CAD,R,1683907604842-PTEWNHXG,0,DemoOne,104,C,GD023,124755,null,,
20240918,T,1726678125218,20240918124854539800031941,0,CAD,R,1683907604842-PTEWNHXG,0,DemoOne,104,C,GD023,124854,null,,
20240924,F,1727207129047,20240924154536053296032601,230,CAD,R,1683907604842-PTEWNHXG,0,DemoOne,P006,C,GD023,154536,null,78LE+f9++oxCS3+qQazapvW87Emdi7Jtx/QYR/fX34I=,